gi-harfbuzz-0.0.9: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.DrawFuncsT

Contents

- Exported types
- Methods

Description

Glyph draw callbacks.

`DrawMoveToFuncT`, `DrawLineToFuncT` and `DrawCubicToFuncT` calls are necessary to be defined but we translate `DrawQuadraticToFuncT` calls to `DrawCubicToFuncT` if the callback isn't defined.

Since: 4.0.0

Synopsis

- newtype DrawFuncsT = DrawFuncsT (ManagedPtr DrawFuncsT)

# Exported types

newtype DrawFuncsT Source #

Memory-managed wrapper type.

Constructors

DrawFuncsT (ManagedPtr DrawFuncsT) |

#### Instances

Instances details

Eq DrawFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawFuncsT Methods (==) :: DrawFuncsT -> DrawFuncsT -> Bool Source # (/=) :: DrawFuncsT -> DrawFuncsT -> Bool Source #
GBoxed DrawFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawFuncsT
ManagedPtrNewtype DrawFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawFuncsT Methods toManagedPtr :: DrawFuncsT -> ManagedPtr DrawFuncsT Source #
TypedObject DrawFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawFuncsT Methods glibType :: IO GType Source #
HasParentTypes DrawFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawFuncsT
IsGValue (Maybe DrawFuncsT) Source # | Convert `DrawFuncsT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.DrawFuncsT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DrawFuncsT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DrawFuncsT) Source #
type ParentTypes DrawFuncsT Source # |
Instance details Defined in GI.HarfBuzz.Structs.DrawFuncsT type ParentTypes DrawFuncsT = '[] :: [Type]

# Methods